/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, TemplateRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ActionSheetComponent } from '@progress/kendo-angular-navigation';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import { AdaptiveService, AdaptiveSize } from '@progress/kendo-angular-utils';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AdaptiveRendererComponent {
    localization: LocalizationService;
    adaptiveService: AdaptiveService;
    title: string;
    subtitle: string;
    showTextInput: boolean;
    sharedPopupActionSheetTemplate: TemplateRef<any>;
    text: string;
    placeholder: string;
    searchBarValue: string;
    filterable: boolean;
    closePopup: EventEmitter<any>;
    textInputChange: EventEmitter<any>;
    navigate: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    actionSheet: ActionSheetComponent;
    actionSheetSearchBar: TextBoxComponent;
    constructor(localization: LocalizationService, adaptiveService: AdaptiveService);
    animationDuration: number;
    checkIcon: SVGIcon;
    private expanded;
    messageFor(key: string): string;
    onValueChange(value: string): void;
    onOverlayClick(): void;
    handleExpand(): void;
    handleClose(): void;
    get windowSize(): AdaptiveSize;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdaptiveRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdaptiveRendererComponent, "kendo-adaptive-renderer", never, { "title": { "alias": "title"; "required": false; }; "subtitle": { "alias": "subtitle"; "required": false; }; "showTextInput": { "alias": "showTextInput"; "required": false; }; "sharedPopupActionSheetTemplate": { "alias": "sharedPopupActionSheetTemplate"; "required": false; }; "text": { "alias": "text"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "searchBarValue": { "alias": "searchBarValue"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; }, { "closePopup": "closePopup"; "textInputChange": "textInputChange"; "navigate": "navigate"; "onExpand": "onExpand"; }, never, never, true, never>;
}
